﻿:root {
  /* Add these styles to your global stylesheet, which is used across all site pages. You only need to do this once. All elements in the library derive their variables and base styles from this central sheet, simplifying site-wide edits. For instance, if you want to modify how your h2's appear across the site, you just update it once in the global styles, and the changes apply everywhere. */
  --primary: #ff6a3e;
  --primaryLight: #ffba43;
  --secondary: #ffba43;
  --secondaryLight: #ffba43;
  --headerColor: #1a1a1a;
  --bodyTextColor: #4e4b66;
  --bodyTextColorWhite: #fafbfc;
  /* 13px - 16px */
  --topperFontSize: clamp(0.8125rem, 1.6vw, 1rem);
  /* 31px - 49px */
  --headerFontSize: clamp(1.9375rem, 3.9vw, 3.0625rem);
  --bodyFontSize: 1rem;
  /* 60px - 100px top and bottom */
  --sectionPadding: clamp(3.75rem, 7.82vw, 6.25rem) 1rem;
}

/*// Reset some basic styles
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: $font-stack;
    color: $font-color;
    line-height: 1.6;
    padding: $base-spacing;
}

h1, h2, h3, h4, h5, h6 {
    color: $primary-color;
}

p {
    margin-bottom: $small-spacing;
}
*/
.login-agent-background-image {
  background: url("/img/auth/home-key.jpg") no-repeat center center fixed;
  background-size: cover;
}

.login-private-background-image {
  background: url("/img/auth/home-key.jpg") no-repeat center center fixed;
  background-size: cover;
}

.register-agent-background-image {
  background: url("/path/to/your-background-image.jpg") no-repeat center center fixed;
  background-size: cover;
}

.register-private-background-image {
  background: url("/path/to/your-background-image.jpg") no-repeat center center fixed;
  background-size: cover;
}

html, body {
  height: 100%;
  margin: 0;
}

:root {
  /* Add these styles to your global stylesheet, which is used across all site pages. You only need to do this once. All elements in the library derive their variables and base styles from this central sheet, simplifying site-wide edits. For instance, if you want to modify how your h2's appear across the site, you just update it once in the global styles, and the changes apply everywhere. */
  --primary: #ff6a3e;
  --primaryLight: #ffba43;
  --secondary: #ffba43;
  --secondaryLight: #ffba43;
  --headerColor: #1a1a1a;
  --bodyTextColor: #4e4b66;
  --bodyTextColorWhite: #fafbfc;
  --primaryBlackColor: black;
  /* 13px - 16px */
  --topperFontSize: clamp(0.8125rem, 1.6vw, 1rem);
  /* 31px - 49px */
  --headerFontSize: clamp(1.9375rem, 3.9vw, 3.0625rem);
  --bodyFontSize: 1rem;
  /* 60px - 100px top and bottom */
  --sectionPadding: clamp(3.75rem, 7.82vw, 6.25rem) 1rem;
}

/*// Reset some basic styles
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: $font-stack;
    color: $font-color;
    line-height: 1.6;
    padding: $base-spacing;
}

h1, h2, h3, h4, h5, h6 {
    color: $primary-color;
}

p {
    margin-bottom: $small-spacing;
}
*/
.btn-primary {
  color: var(--bodyTextColorWhite) !important;
  background-color: var(--primary) !important;
  border-color: var(--primary) !important;
}

.text-successLogo {
  color: var(--primary) !important;
}

.text-successLogo2 {
  color: var(--bodyTextColorWhite) !important;
}

a.text-successLogo:focus, a.text-successLogo:hover {
  color: var(--primaryBlackColor) !important;
}

.inner-header {
  /*background: #b70064 !important;*/
  position: relative;
}

.inner-header::after {
  background: var(--primary) none repeat scroll 0 0;
  bottom: 0;
  content: "";
  left: 0;
  opacity: 0.8;
  position: absolute;
  right: 0;
  top: 0;
}

.inner-header .container {
  position: relative;
  z-index: 9;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  background: var(--primary) !important;
  color: var(--bodyTextColorWhite) !important;
}

.nav-link {
  color: var(--primaryBlackColor) !important;
}

.section-padding {
  padding: 40px 0;
}
@media (max-width: 768px) {
  .section-padding {
    padding-top: 1rem;
  }
}

.smallSearchCard {
  height: 13.5rem;
  background-color: #ffffff;
  border-radius: 2rem;
  box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.08);
}
@media (max-width: 768px) {
  .smallSearchCard {
    height: 27rem;
    background-color: #ffffff;
    border-radius: 0.2rem;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.08);
  }
}

.inputLongSearchBar {
  width: 100%;
  height: 56px;
  padding: 0px 20px;
  border: 0;
  box-sizing: border-box;
  border-radius: 12px;
  background-color: #f2f2f2;
  color: #94a3b8;
  font-size: 14px;
  font-family: "Mulish";
  font-weight: 600;
  line-height: 56px;
  outline: none;
  margin-left: 10px;
}

.smallSearchButton {
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
  /* top: 132px;
  left: 1293px;*/
  float: right;
  width: 100%;
  height: 56px;
  border: 0;
  box-sizing: border-box;
  border-radius: 12px;
  color: var(--bodyTextColorWhite);
  background-color: var(--primary);
  outline: none;
}

.icon {
  color: #000000;
  fill: #000000;
  width: 23px;
  height: 23px;
  font-size: 23px;
}

.text {
  color: #808080;
  font-size: 14px;
  font-family: "Mulish";
  font-weight: 500;
  line-height: 18px;
}

React CSS .textHeader {
  color: #030303;
  font-size: 36px;
  font-family: "Mulish";
  font-weight: 700;
  line-height: 47px;
}

.Dropdowninput {
  margin-top: 5px;
  margin-left: 10px;
  padding: 0px 8px;
  border: 0;
  box-sizing: border-box;
  border-radius: 12px;
  background-color: #f2f2f2;
  color: #94a3b8;
  font-size: 14px;
  font-family: "Mulish";
  font-weight: 600;
  line-height: 56px;
  outline: none;
}

.imageCardTop {
  border-radius: 1.7rem;
  z-index: -999;
  position: relative;
  box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.12);
  height: 100%;
}

.imageCardBottom {
  top: 704px;
  left: 128px;
  width: 360px;
  height: 317px;
  background-color: #ffffff;
  border-radius: 24px;
  box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.12);
  margin-top: -41px;
}

.imageCardBottomAgencyList {
  width: 100%;
  height: 32.2vh;
  background-color: #ffffff;
  border-radius: 24px;
  box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.12);
}

.imageCardBottomAgentsList {
  width: 100%;
  height: 20vh;
  background-color: #ffffff;
  border-radius: 24px;
  box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.12);
}

.imageCardHeaderText {
  color: #000000;
  font-size: 1.8rem;
  font-family: "Mulish";
  font-weight: 700;
  line-height: 2.1rem;
  text-align: center;
}

.imageCardLocationText {
  color: #626262;
  font-size: 1.5rem;
  font-family: "Mulish";
  font-weight: 600;
  line-height: 1.6rem;
  text-align: center;
}

.imageCardPill {
  width: 100%;
  height: 2rem;
  background-color: #f2f2f2;
  border-radius: 100000px;
  align-content: center;
  font-size: 1.4rem;
}

.imageCardDescrtiptionText {
  color: #808080;
  font-size: 14px;
  font-family: "Mulish";
  line-height: 21px;
  height: 11vh;
}

.imageCardAvailableText {
  color: #808080;
  font-size: 16px;
  font-family: "Mulish";
  line-height: 16px;
  margin-left: 10px;
}

.imageCardListedText {
  color: #808080;
  font-size: 16px;
  font-family: "Mulish";
  line-height: 16px;
  text-align: right;
  margin-right: 10px;
}

.IndexListcardBody {
  top: 1092px;
  left: 64px;
  height: 2534px;
  background-color: #ffffff;
  border-radius: 25px;
  box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.08);
}

.WideIndexCardimage {
  top: 1157px;
  left: 128px;
  width: 464px;
  height: 408px;
  border-radius: 25px;
  /*background-image: url(../sass/image.jpeg);*/
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
  object-fit: cover !important;
}

.WideIndexCardHeadertext {
  color: #000000;
  font-size: 32px;
  font-family: "Mulish";
  font-weight: 700;
  line-height: 42px;
}

.WideIndexCardSubHeadertext {
  color: #626262;
  font-size: 20px;
  font-family: "Mulish";
  font-weight: 600;
  line-height: 26px;
}

.WideIndexCardPricetext {
  color: var(--primary);
  font-size: 32px;
  font-family: "Mulish";
  font-weight: 700;
  line-height: 42px;
}

.BigCardPill {
  top: 1286px;
  left: 656px;
  width: 117px;
  height: 40px;
  background-color: #f2f2f2;
  border-radius: 100000px;
}

.BigCardPillContent {
  color: #000000;
  font-size: 15px;
  font-family: "Mulish";
  font-weight: 700;
  line-height: 37px;
  text-align: right;
  margin-left: 19px;
}

.MainTheme {
  background: var(--primary);
  color: var(--bodyTextColorWhite);
}

.rounded {
  border-radius: 0.5rem;
  box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.08);
}

.ImageCardBorder {
  border-radius: 1.25rem !important;
}

.imageCardTopWide {
  top: 455px;
  left: 128px;
  /* width: 360px;*/
  height: 350px;
  border-radius: 24px;
  box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.12);
  background-image: url(https://images.unsplash.com/photo-1493809842364-78817add7ffb?crop=entropy&cs=tinysrgb&fit=max&fm=jpg&ixid=M3wyMDUzMDJ8MHwxfHNlYXJjaHw4fHxhcGFydG1lbnR8ZW58MXx8fHwxNzA2NTIxNzUwfDA&ixlib=rb-4.0.3&q=80&w=1080);
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
}

.imageCardTopWideEmpty {
  top: 455px;
  left: 128px;
  /* width: 360px;*/
  height: 40rem;
  border-radius: 24px;
  box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.12);
  /*background-image: url(https://images.unsplash.com/photo-1493809842364-78817add7ffb?crop=entropy&cs=tinysrgb&fit=max&fm=jpg&ixid=M3wyMDUzMDJ8MHwxfHNlYXJjaHw4fHxhcGFydG1lbnR8ZW58MXx8fHwxNzA2NTIxNzUwfDA&ixlib=rb-4.0.3&q=80&w=1080);*/
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
}

.imageCardBottomWide {
  top: 704px;
  left: 128px;
  /*width: 360px;*/
  height: 300px;
  background-color: #ffffff;
  border-radius: 24px;
  box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.12);
  margin-top: -41px;
}

.mud-overlay {
  z-index: 1000 !important;
}

.mud-gallery-selected-toolbox.gallery-toolbox-top {
  z-index: 20001 !important;
}

.mud-color-picker-index-fix {
  z-index: 20002 !important;
}

.MainButtonTheme {
  background: var(--primary);
  color: var(--bodyTextColorWhite);
}

.login-agent-background-image {
  background: url("/img/auth/home-key.jpg") no-repeat center center fixed;
  background-size: cover;
}

.login-private-background-image {
  background: url("/img/auth/home-key.jpg") no-repeat center center fixed;
  background-size: cover;
}

.register-agent-background-image {
  background: url("/path/to/your-background-image.jpg") no-repeat center center fixed;
  background-size: cover;
}

.register-private-background-image {
  background: url("/path/to/your-background-image.jpg") no-repeat center center fixed;
  background-size: cover;
}

.pageContainer {
  /* background-image: url('../sass/images/bg/bg_gray.webp'); */
  background-image: url("../sass/images/DealerbackGrounds/renualt.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  width: 100%;
  height: 100%;
  position: fixed;
  margin-top: 50px;
  bottom: 0px;
  left: 0px;
  right: 0px;
  margin-left: 0px !important;
}

.mud-icon-root.mud-svg-icon {
  fill: #a4a4a4;
}

.mud-appbar{
  background-color:black !important;
}

.blur {
  backdrop-filter: blur(10px);
}

.dialog-background {
  background-color: transparent;
}

.dialog-background-title {
  background: rgb(41, 102, 132);
  /* background: rgb(from var(--mud-palette-info-lighten) r g b / 50%); */
  color: white !important;
}

.dialog-background-surface {
  background: white;
  /* background: rgb(from var(--mud-palette-surface) r g b / 75%); */
}

.contentMargin {
  margin-top: 0px !important;
}

.mud-button-filled.mud-button-filled-primary {
  color: var(--mud-palette-primary-text);
  --mud-ripple-color: var(--mud-palette-primary-text);
  background-color: rgb(41, 102, 132);
}

/*  .mud-button-filled.mud-button-filled-primary :hover {
    color: var(--mud-palette-primary-text);
    --mud-ripple-color: #ff6a3e;
    background-color: #ff6a3e;
  }*/

  .mud-button-filled.mud-button-filled-primary:hover {
    background-color: #ff6a3e !important;
  }

.mud-button-outlined.mud-button-outlined-primary {
  color: rgb(41, 102, 132);
  --mud-ripple-color: rgb(41, 102, 132);
  border: 1px solid rgb(41, 102, 132);
}

.mud-button-text.mud-button-text-primary {
  color: rgb(41, 102, 132);
  --mud-ripple-color: rgb(41, 102, 132);
}
.DashboardPaper {
  box-shadow: 0px 2px 6px rgb(41, 102, 132) !important;
}

.custom-date-range-picker .mud-picker {
    --mud-palette-primary: #ff6a3e;
}

.mud-picker-datepicker-toolbar {
    background-color: #ff6a3e !important;
}
.cs-active {
    color: #ffcc00; /* Set your desired active color */
    font-weight: bold; /* Optional: make the active link bold */
}
.mud-tab {
  justify-content: center !important;
  display: block ruby !important;
}
@media (hover: hover) and (pointer: fine) {
    .mud-table-sort-label:hover {
        color: #ff6a3e !important;
    }
}

